<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'cushbu',

    /*
     * Package.
     */
    'package'   => 'artwork',

    /*
     * Modules.
     */
    'modules'   => ['artwork'],


    'artwork'       => [
        'model'             => 'Cushbu\Artwork\Models\Artwork',
        'table'             => 'artworks',
        'presenter'         => \Cushbu\Artwork\Repositories\Presenter\ArtworkItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'artist_id',  'category_id',  'title',  'image',  'images',  'price',  'description',  'medium',  'material',  'keyword',  'year',  'original',  'print_available',  'copyright',  'height',  'width',  'depth',  'user_type',  'status'],
        'translate'         => ['artist_id',  'category_id',  'title',  'image',  'images',  'price',  'description',  'medium',  'material',  'keyword',  'year',  'original',  'print_available',  'copyright',  'height',  'width',  'depth',  'user_type',  'status'],

        'upload-folder'     => '/uploads/artwork/artwork',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
