<?php

namespace Cushbu\Artwork\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ArtworkItemTransformer extends TransformerAbstract
{
    public function transform(\Cushbu\Artwork\Models\Artwork $artwork)
    {
        return [
            'id'                => $artwork->getRouteKey(),
            'artist_id'         => $artwork->artist_id,
            'category_id'       => $artwork->category_id,
            'title'             => $artwork->title,
            'image'             => $artwork->image,
            'images'            => $artwork->images,
            'price'             => $artwork->price,
            'description'       => $artwork->description,
            'medium'            => $artwork->medium,
            'material'          => $artwork->material,
            'keyword'           => $artwork->keyword,
            'year'              => $artwork->year,
            'original'          => $artwork->original,
            'print_available'   => $artwork->print_available,
            'copyright'         => $artwork->copyright,
            'height'            => $artwork->height,
            'width'             => $artwork->width,
            'depth'             => $artwork->depth,
            'user_type'         => $artwork->user_type,
            'status'            => $artwork->status,
        ];
    }
}